> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /checkout-domains/{domain_id}

**Get a checkout domain**

Returns a checkout domain using its ID. The response includes the domain's approval status and payment method verification details.

**Required permissions:** `checkout_domain.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `domain_id` | string | required | Paddle ID of the checkout domain entity to work with. |

## Response (200)

- `data`: object (required) — Represents a checkout domain entity.
  - `id`: string (required) — Unique Paddle ID for this checkout domain entity, prefixed with `chedom_`. (pattern: `^chedom_[a-z\d]{26}$`)
  - `domain`: string (hostname) (required) — Checkout domain name.
  - `status`: string (required) — Approval status of this checkout domain. Checkout domains are created as `pending_review`. Other statuses are automatically set by Paddle when reviewing the domain.
    - `pending_review` — Domain is newly added and is pending review.
    - `approved` — Domain has been approved and can be used for checkouts.
    - `rejected` — Domain has been rejected and cannot be used for checkouts.
    - `in_review` — Domain is currently under review by Paddle.
  - `payment_method_verification`: object (required) — Payment method verification status for this checkout domain.
    - `apple_pay`: object (required) — Apple Pay verification status for this checkout domain.
      - `status`: string (required) — Payment method verification status for this checkout domain.
        - `verified` — Payment method is verified for this checkout domain.
        - `unverified` — Payment method isn't verified for this checkout domain.
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "chedom_01j2abc3def4ghi5jkl6mno7pq",
    "domain": "app.example.com",
    "status": "approved",
    "payment_method_verification": {
      "apple_pay": {
        "status": "verified"
      }
    },
    "created_at": "2026-03-04T12:00:00.000Z",
    "updated_at": "2026-03-04T14:30:00.000Z"
  },
  "meta": {
    "request_id": "b15ec92e-8688-40d4-a04d-f44cbec93355"
  }
}
```
